查询承运方式
POST
/amzStaServer/openapi/inbound-shipment/getTransportList接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/amzStaServer/openapi/inbound-shipment/getTransportList | HTTPS | POST | 1 |
请求参数
inboundPlanIdstring必填shipmentIdstring必填sidinteger必填请求cURL示例
curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/getTransportList?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
"shipmentId": "货件id",
"sid": 1
}'
返回结果
codeinteger必填messagestring必填errorDetailsarray<any>必填requestIdstring必填responseTimestring必填dataobject必填隐藏子属性
inboundPlanIdstring必填shipmentIdstring必填transportVOListarray<object>必填隐藏子属性
alphaCodestring必填alphaNamestring必填shippingModestring必填shippingSolutionstring必填transportationOptionIdstring必填alphaAliasNamestring返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "574FB0B8-FD6E-8D29-91FD-295B55CF5398",
"response_time": "2024-07-31 14:41:25",
"data": {
"inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
"shipmentId": "货件号",
"transportVOList": [{
"alphaCode": "承运方式编码",
"alphaName": "承运方式名称",
"shippingMode": "货件类型(GROUND_SMALL_PARCEL代表小包裹快递(SPD)、FREIGHT_LTL代表汽运零担(LTL))",
"shippingSolution": "承运人(USE_YOUR_OWN_CARRIER代表其他承运人、AMAZON_PARTNERED_CARRIER代表亚马逊合作承运人)",
"transportationOptionId": "承运方式ID"
}]
}
}